# All radiators retained and run at 42°C, as used by Octopus.

parameters:
  duration: 4.0               # Duration of simulation, hours.
  cycleTime: 0.2              # Simulation cycle time, seconds
  reportInterval: 1           # Report interval, minutes.
  changeThreshold: 0.10       # Temperature threshold for determining if
                              # state has changed.
  sensorWeight: 0.0           # Air-radiant temperature weighting for
                              # calculating "operative" temperature.
                              # 0 is pure air temperature.
                              # 1 is pure radiant temperature.
  airTemp: -2                 # Outside air temperature, °C
  groundTemp: 10              # Ground temperature, °C
  radTemp: 42                 # Average radiator temperature

programs:
  temp21:
    - duration: 4.0
      setpoint: 21
  temp20:
    - duration: 4.0
      setpoint: 21
  temp19:
    - duration: 4.0
      setpoint: 21
  temp18:
    - duration: 4.0
      setpoint: 18

#!include materials.yaml
#!include slabs.yaml
#!include rooms.yaml

outside:
  Air:
    # Initially this is hugely simplified. No distinction is made between air
    # and radiant temperatures, and all external surfaces are assumed to be at
    # the same temperature.
    temperature: airTemp
  Ground:
    temperature: groundTemp

heaters:
  DiningRoom:
    # upgraded to K2 700x1800 £332
    maxPower: 2156
    minPower: 0
    type: radiator
    room: DiningRoom
    program: temp21
  Lounge:
    # upgraded to K2 vert 1800x600 £371
    maxPower: 2376
    minPower: 0
    type: radiator
    room: Lounge
    program: temp21
  Lounge2:
    # extra radiator K2 700x1800 £332
    maxPower: 10000
    minPower: 0
    type: radiator
    room: Lounge
    program: temp21
  BackRoom:
    # original K1 600x900 16kg
    maxPower: 882
    minPower: 0
    type: radiator
    room: BackRoom
    program: temp21
  BackRoom2:
    # extra radiator
    maxPower: 10000
    minPower: 0
    type: radiator
    room: BackRoom
    program: temp21
  FrontBedroom:
    # upgraded
    maxPower: 1000
    minPower: 0
    type: radiator
    room: FrontBedroom
    program: temp18
  BackBedroom:
    # upgraded
    maxPower: 10000
    minPower: 0
    type: radiator
    room: BackBedroom
    program: temp18
  Study:
    # upgraded
    maxPower: 10000
    minPower: 0
    type: radiator
    room: Study
    program: temp21
  Bathroom:
    # towel radiator
    maxPower: 415
    minPower: 0
    type: radiator
    room: Bathroom
    program: temp21
  Hall:
    # original P+ 500x700 19kg
    maxPower: 821
    minPower: 0
    type: radiator
    room: Hall
    program: temp19

